/*-----------------------------------------------------------------------------
         Program to demonstrate Eeprom char Read Write on UART 
  -----------------------------------------------------------------------------
  note:
  Refer Uart.c for baudrate configuration.
  Refer Pic16f877A for Eeprom register description
------------------------------------------------------------------------------*/


/* htc.h contains the defnition of all ports and SFRs */
#include <htc.h> 

#include "uart.h"	//User defined UART library which conatins the UART routines
#include "eeprom.h" //User defined library which conatins eeprom(At2404) routines


/* start the main program */
void main() 
{
   unsigned char eeprom_address=0x00, write_char = 'X', read_char;

  /* Initilize the Uart before Transmiting/Reaceiving any data */
    UART_Init();												  
 
   while(1)
    {
	   	   UART_TxString("\n\rEeprom Write: ");      //Print the message on UART
		   UART_TxChar(write_char);			         //Print the char to be written 
		   EEPROM_WriteByte(eeprom_address,write_char);	// Write the data at memoryLocation	0x00

		   
		   UART_TxString("\tEeprom Read: ");            //Print the message on UART
		   read_char = EEPROM_ReadByte(eeprom_address);	// Read the data from memoryLocation 0x00
		   UART_TxChar(read_char);			            //Print the read data 

	  }		

  }