/*-----------------------------------------------------------------------------
         Program to demonstrate Eeprom char Read Write on Lcd 
  -----------------------------------------------------------------------------
  note:
  Refer lcd.c(lcd_4_bit.c/lcd_8_bit.c) file for Pin connections
  Refer Pic16f877A for Eeprom register description
------------------------------------------------------------------------------*/


/* htc.h contains the defnition of all ports and SFRs */
#include <htc.h> 

#include "lcd.h"	//User defined LCD library which conatins the lcd routines
#include "eeprom.h" //User defined library which conatins eeprom routines


/* start the main program */
void main() 
{
   unsigned char eeprom_address=0x00, write_String[20] = {"hello world"}, read_string[15];

  /* Initilize the lcd before displaying any thing on the lcd */
    LCD_Init();												  
 
   while(1)
    {
	   	LCD_GoToLineOne();				  // Move the cursor to first line
        LCD_DisplayString("Wr:");         //Display the message on first line
		LCD_DisplayString(write_String);  //Dispaly the String to be written 
		EEPROM_WriteString(eeprom_address,write_String); // Write the String at memory Location	0x00

		LCD_GoToLineTwo();				   // Move the cursor to Second line
		LCD_DisplayString("Rd:");          //Display the message on Second line
		EEPROM_ReadString(eeprom_address,read_string);	// Read the String from memory Location 0x00
		LCD_DisplayString(read_string);			        //Display the read String

	  }		

  }